mirror of
https://gitlab.com/mateslackbuilds/msb.git
synced 2024-12-25 21:59:36 +01:00
add xdg-open.patch and update KNOWN_ISSUES.TXT for the xdg-open issue reported on LQ by Totoro-kun with the fix reported by T3slider.
Signed-off-by: Chess Griffin <chess.griffin@gmail.com>
This commit is contained in:
parent
fa290cb922
commit
373b398460
2 changed files with 71 additions and 0 deletions
|
@ -1,5 +1,33 @@
|
|||
The following is a list of known issues with MATE on Slackware:
|
||||
|
||||
Mon Jun 10 03:09:28 UTC 2013
|
||||
If you are encountering problems with Caja (MATE's file manager) opening
|
||||
directories when clicking on files in certain programs like Dropbox, Skype,
|
||||
and others, the problem is that xdg-open (part of Slackware's xdg-utils
|
||||
package) does not recognize the MATE desktop and therefore defaults to opening
|
||||
the directories in Firefox. Fixes for this have been committed to xdg-utils
|
||||
upstream development in Git but for now, we must apply a patch to xdg-open and
|
||||
add some xdg-mime default handlers.
|
||||
|
||||
First, as a root user, back up /usr/bin/xdg-open and then apply the
|
||||
xdg-open.patch from msb/testing/xdg-utils:
|
||||
|
||||
patch -p0 /usr/bin/xdg-open < /location/of/xdg-open.patch
|
||||
|
||||
Then, as your regular user, first back up the following file:
|
||||
$HOME/.local/share/applications/defaults.list and then enter the next two
|
||||
commands in a terminal to set the default handler:
|
||||
|
||||
xdg-mime default caja-folder-handler.desktop inode/directory
|
||||
xdg-mime default caja-folder-handler.desktop application/x-directory
|
||||
|
||||
You should be all set. Thanks to Totoro-kun and T3slider for reporting and
|
||||
discussing this in the LQ forums and also thanks to Giorgos Keramidas for
|
||||
creating the initial patch. Here is a link to the LQ thread which also has a
|
||||
link to Giorgos's blog with the patch:
|
||||
|
||||
http://www.linuxquestions.org/questions/showthread.php?p=4968614
|
||||
|
||||
Wed Mar 27 04:23:24 UTC 2013
|
||||
If you have dual monitor with NVidia card and set it up to use both monitors
|
||||
as separate, you might encounter some freeze lockup. A temporary workaround
|
||||
|
|
43
testing/xdg-utils/xdg-open.patch
Normal file
43
testing/xdg-utils/xdg-open.patch
Normal file
|
@ -0,0 +1,43 @@
|
|||
--- /usr/bin/xdg-open.orig 2013-06-09 22:35:07.143009464 -0400
|
||||
+++ /usr/bin/xdg-open 2013-06-09 23:00:59.408950087 -0400
|
||||
@@ -308,6 +308,7 @@ detectDE()
|
||||
elif `dbus-send --print-reply --dest=org.freedesktop.DBus /org/freedesktop/DBus org.freedesktop.DBus.GetNameOwner string:org.gnome.SessionManager > /dev/null 2>&1` ; then DE=gnome;
|
||||
elif xprop -root _DT_SAVE_MODE 2> /dev/null | grep ' = \"xfce4\"$' >/dev/null 2>&1; then DE=xfce;
|
||||
elif [ x"$DESKTOP_SESSION" == x"LXDE" ]; then DE=lxde;
|
||||
+ elif [ x"$DESKTOP_SESSION" == x"mate" ]; then DE=mate;
|
||||
else DE=""
|
||||
fi
|
||||
}
|
||||
@@ -371,6 +372,21 @@ open_gnome()
|
||||
fi
|
||||
}
|
||||
|
||||
+open_mate()
|
||||
+{
|
||||
+ if gvfs-open --help 2>/dev/null 1>&2; then
|
||||
+ gvfs-open "$1"
|
||||
+ else
|
||||
+ mate-open "$1"
|
||||
+ fi
|
||||
+
|
||||
+ if [ $? -eq 0 ]; then
|
||||
+ exit_success
|
||||
+ else
|
||||
+ exit_failure_operation_failed
|
||||
+ fi
|
||||
+}
|
||||
+
|
||||
open_xfce()
|
||||
{
|
||||
exo-open "$1"
|
||||
@@ -539,6 +555,10 @@ case "$DE" in
|
||||
open_gnome "$url"
|
||||
;;
|
||||
|
||||
+ mate)
|
||||
+ open_mate "$url"
|
||||
+ ;;
|
||||
+
|
||||
xfce)
|
||||
open_xfce "$url"
|
||||
;;
|
Loading…
Reference in a new issue